body,
html {
  margin: 0;
  overflow: hidden;
  font-size: 16px;
  /*background-image: url('../images/bg.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;*/
  /* background-color: #f6f4f2; */
  background-color: #F7F5F4;
  height: 100%;
}

@font-face {
  font-family: Rimowa Grotesk;
  src: url('../fonts/RimowaGrotesk-Regular.ttf');
}

img {
  height: auto;
  width: auto;
  object-fit: contain;
  object-position: top center;
}

.objCover {
  object-fit: cover;
}


.loadingContent {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  z-index: 102;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-color: #F7F5F4;
}



.loading {
  position: relative;
  overflow: hidden;
  background: #DADADA;
  width: 18.75rem;
  height: 2px;
  max-width: 80%;
}

.loading .loading_bar {
  background: #0D0900;
  height: 100%;
  width: 0%;
  transition: width 0.1s ease-in-out;
}

.loadingContent .loading_percentage {
  margin-top: 1.1875rem;
  color: #0D0900;
  font-family: Rimowa Grotesk;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

#lottie-container {
  width: 121px;
  height: 119px;
}

.model {
  display: flex;
}

.model,
#container3d_replace {
  width: 100vw;
  height: 100%;
  align-self: flex-end;
}

#container3d_replace.animation3s {
  transition: all 3s ease-in-out;
}

#container3d_replace.animation5s {
  transition: all 5s ease-in-out;
}

/* #container3d_replace{
  border: 3px solid red;
} */
.qr_code {
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  border-radius: 6px;
  background: #F7F5F4;
  /* display: flex; */
  display: none;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  z-index: 10;
}

.qr_code h3 {
  color: #0D0900;
  text-align: center;
  font-family: Rimowa Grotesk;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  line-height: 30px;
  margin-bottom: 8px;
}

.qr_code img {
  width: 221px;
  height: 215px;

}

.qr_code p {
  color: #454545;
  text-align: center;
  font-family: Rimowa Grotesk;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 21px;
  margin-bottom: 32px;
  width: 30vw;
  min-width: 500px;
  max-width: 100%;
}

.qr_code p:nth-of-type(1) {
  margin-bottom: 0;
}

/* .qr_code p:nth-of-type(2) {
  margin: 0;
} */

.closeQRcode {
  padding: 10px;
  cursor: pointer;
  position: absolute;
  left: 2.5rem;
  top: 0%;
  /* top: 2.8125rem; */
}

.topbar {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 0%;
  /* top: 1.875rem; */
  display: flex;
  flex-direction: row;
  gap: 8px;
}

.topbar .button {
  cursor: pointer;
  padding: 12px 16px;
  background-color: #ffffff;
  border: 1px solid #f6f4f2;
  border-radius: 4px;
  white-space: nowrap;

  color: #0D0900;
  font-family: Rimowa Grotesk;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px;
}

.topbar .button.to_hide_for_size_details.hide {
  visibility: hidden;
}

.content {
  display: none;
  /* display: block; */
  position: absolute;
  left: 2.5rem;
  flex-direction: column;
  align-items: start;
  top: 0%;
  /* top: 2.8125rem; */
  width: 25rem;
}


.content .back {
  cursor: pointer;
  margin-bottom: 1.875rem;

  
  transform: translate3d(0, 0, 0);
  filter: invert(1);
  mix-blend-mode: difference;
}

.content .title {
  color: #0d0900;
  font-family: Rimowa Grotesk;
  font-size: 20px;
  font-style: normal;
  font-weight: 700;
  line-height: 30px;
  margin-bottom: 8px;

  transform: translate3d(0, 0, 0);
  filter: invert(1);
  mix-blend-mode: difference;
}

.content .desc {
  color: #454545;
  font-family: Rimowa Grotesk;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 21px;
  white-space: pre-line;


  transform: translate3d(0, 0, 0);
  filter: invert(1);
  mix-blend-mode: difference;

  /* text-shadow: 0.5px 0.5px rgba(247, 245, 244, 0.9); */
}

.content .button {
  display: none;
  cursor: pointer;
  color: #0d0900;
  font-family: Rimowa Grotesk;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 20px;
  margin-top: 36px;
  cursor: pointer;
  padding: 12px 16px;
  background-color: #ffffff;
  border: 1px solid #f6f4f2;
  border-radius: 4px;
}

.content .button[data-key="sizeAction"] {
  margin-top: 0;

}

.error_msg {
  z-index: 9999;
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background: #f6f4f2;
  display: none;
  align-items: center;
  justify-content: center;
}

.error_msg div {
  color: #0d0900;
  font-family: Rimowa Grotesk;
  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 20px;
  text-align: center;
  /* padding: 20px; */
  /* background-color: #f6f4f2; */
  /* border: 1px solid #f6f4f2; */
  border-radius: 4px;
  max-width: 250px;
}

:root {
  --viewport-height: 0px;
}

@media screen and (max-width: 800px) and (min-width: 800px) {
  .content .desc {
    max-width: 60%;
  }

  .content .desc.es {
    max-width: 70%;
  }
}


@media (max-width: 1399px) {

  html,
  body {
    font-size: 15px;
  }
}

@media (max-width: 1199px) {

  html,
  body {
    font-size: 14px;
  }
}

@media (max-width: 991px) {

  html,
  body {
    font-size: 13px;
  }

  .topbar {

    overflow-x: auto;
    max-width: 90%;
    padding: 0 8px;
  }

  /* enable this if you want to set the canvas to available viewport height minus the top bar */
  /* #container3d_replace.active_top_bar {
    height: calc(100% - var(--viewport-height));
  } */
}

@media (max-width: 767px) {

  html,
  body {
    font-size: 12px;
  }

  .content {
    /* background-color: #F7F5F4; */
    width: calc(100% - 5rem);
    left: 0;
    padding: 2.5rem;
  }

}

@media (max-width: 575px) {

  html,
  body {
    font-size: 10px;
  }

  #ar-button,
  #ar-button img {
    width: 64px;
    height: 64px;
  }

  .QRcode {
    left: 11vw;
    top: 21vh;
  }
}

@media (max-width: 360px) {}